# \Thelia\Core\EventTheliaEvents

This class contains all Thelia events identifiers used by Thelia Core

## Summary

Methods
Properties
Constants
No public methods found
No public properties found
ACTION
INCLUSION
CUSTOMER_LOGOUT
CUSTOMER_LOGIN
ADMIN_LOGOUT
ADMIN_LOGIN
BEFORE_CREATECUSTOMER
AFTER_CREATECUSTOMER
BEFORE_UPDATECUSTOMER
AFTER_UPDATECUSTOMER
BEFORE_CREATECATEGORY
AFTER_CREATECATEGORY
BEFORE_DELETECATEGORY
AFTER_DELETECATEGORY
AFTER_UPDATECATEGORY
CART_DUPLICATE
AFTER_CARTADDITEM
AFTER_CARTUPDATEITEM
CART_ADDITEM
CART_UPDATEITEM
CART_DELETEITEM
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
final

File
  Core/Event/TheliaEvents.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Event\TheliaEvents

## Tags

author | Manuel Raynaud mraynaud@openstudio.fr

## Constants

### ACTION

    ACTION

ACTION event

Sent if no action are already present in Thelia action process ( see Thelia\Routing\Matcher\ActionMatcher)

#

## Tags

None found

### INCLUSION

    INCLUSION

INCLUDE event

Sent before starting thelia inclusion

#

## Tags

None found

### CUSTOMER_LOGOUT

    CUSTOMER_LOGOUT

Sent before the logout of the customer.

#

## Tags

None found

### CUSTOMER_LOGIN

    CUSTOMER_LOGIN

Sent once the customer is successfully logged in.

#

## Tags

None found

### ADMIN_LOGOUT

    ADMIN_LOGOUT

Sent before the logout of the administrator.

#

## Tags

None found

### ADMIN_LOGIN

    ADMIN_LOGIN

Sent once the administrator is successfully logged in.

#

## Tags

None found

### BEFORE_CREATECUSTOMER

    BEFORE_CREATECUSTOMER

Sent once the customer creation form has been successfully validated, and before customer insertion in the database.

#

## Tags

None found

### AFTER_CREATECUSTOMER

    AFTER_CREATECUSTOMER

Sent just after a successful insert of a new customer in the database.

#

## Tags

None found

### BEFORE_UPDATECUSTOMER

    BEFORE_UPDATECUSTOMER

Sent once the customer change form has been successfully validated, and before customer update in the database.

#

## Tags

None found

### AFTER_UPDATECUSTOMER

    AFTER_UPDATECUSTOMER

Sent just after a successful update of a customer in the database.

#

## Tags

None found

### BEFORE_CREATECATEGORY

    BEFORE_CREATECATEGORY

Sent once the category creation form has been successfully validated, and before category insertion in the database.

#

## Tags

None found

### AFTER_CREATECATEGORY

    AFTER_CREATECATEGORY

Sent just after a successful insert of a new category in the database.

#

## Tags

None found

### BEFORE_DELETECATEGORY

    BEFORE_DELETECATEGORY

Sent befonre deleting a category

#

## Tags

None found

### AFTER_DELETECATEGORY

    AFTER_DELETECATEGORY

Sent just after a successful delete of a category from the database.

#

## Tags

None found

### AFTER_UPDATECATEGORY

    AFTER_UPDATECATEGORY

Sent just after a successful change of a category in the database.

#

## Tags

None found

### CART_DUPLICATE

    CART_DUPLICATE

sent when a new existing cat id duplicated. This append when current customer is different from current cart

#

## Tags

None found

### AFTER_CARTADDITEM

    AFTER_CARTADDITEM

sent when a new item is added to current cart

#

## Tags

None found

### AFTER_CARTUPDATEITEM

    AFTER_CARTUPDATEITEM

sent when a cart item is modify

#

## Tags

None found

### CART_ADDITEM

    CART_ADDITEM

sent for addArticle action

#

## Tags

None found

### CART_UPDATEITEM

    CART_UPDATEITEM

sent on modify article action

#

## Tags

None found

### CART_DELETEITEM

    CART_DELETEITEM

#

## Tags

None found

### TheliaEvents.php